### Method

# AppStream Component sort_screenshots

#### Declaration [src]

    void
    as_component_sort_screenshots (
      AsComponent* cpt,
      const gchar* environment,
      const gchar* style,
      gboolean prioritize_style
    )

#### Description [src]

Reorder the screenshots to prioritize a certain environment or style, instead of using the default screenshot order.

If both “environment” and “style” are `NULL`, the previous default order is restored.

#### Parameters

`environment`

  Type: `const gchar*`

  A GUI environment string, e.g. “plasma” or “gnome”.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`style`

  Type: `const gchar*`

  And environment style string, e.g. “light” or “dark”.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`prioritize_style`

  Type: `gboolean`

  If `TRUE`, order screenshots of the given style earlier than ones of the given environment.